---
schema_version: "1"
id: a48df4f67394484d0ebd0fcbdf5e1a897c55995692ffd1d90dec33855d1f397d
title: Einstein GDPR
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/einstein/references/generated-api-specs/einstein-gdpr.md
canonical_url: https://developer.salesforce.com/docs/commerce/einstein-api/references/einstein-gdpr
source_site: developer.salesforce.com
content_type: documentation
content_hash: f6cbf3b17795924fe73f75521ae716af9f9d3249a1589875c8c32d68b45aafec
products:
  - B2C Commerce Einstein API
  - Salesforce APIs
---
Einstein GDPR

# Einstein GDPR

The Einstein GDPR Delete API enables you to delete buyer and shopper data from the Einstein data engine.

**Version:** v3

## Servers

*   `https://api.cquotient.com/v3`

Protocols: HTTPS.

## Security

*   `AMAuth` (OAuth 2.0)
    
    If you're bulk uploading files or using GDPR Delete APIs, you must pass an OAuth2 `Authorization` header with an Account Manager access token. To get that token, make the following request:
    
    ```
    curl -X POST \
      https://account.demandware.com/dw/oauth2/access_token \
      -H 'Authorization: Basic <INSERT BASIC AUTH HERE>' \
      -H 'Content-Type: application/x-www-form-urlencoded' \
      -d 'grant_type=client_credentials'
    ```
    
    For the Basic Authorization header, use base64 encoded `<Client ID>:<Password>`
    
    *   Header Authorization: \`JWT <AM access token>\`

## Operations

### POST sendGDPRDelete

`POST /privacy/{siteId}/delete`

Display name: GDPR Delete. Security: AMAuth.

Alerts Einstein when a GDPR delete request is made by the customer or merchant.

#### Parameters

*   `siteId` (path, EinsteinSiteIdParam, required)
*   `x-cq-client-id` (header, ClientIdParam, required)

#### Request body

Media type: `application/json`. Schema: `object`.

*   `objects` (_object_, required) The request body supports two parameters - idType and idValue which must be encapsulated by objects key.
    *   `idType` (_string_, required)
        
        Indicates the type of ID to identify shopper data. The idType can be a - emailId, userId and cookieId.
        
        emailId - Email address of the buyer or shopper.
        
        userId - Unique identifier of a logged-in shopper (for example, a login\_id, username, or userId value specific to the Einstein API).
        
        cookieId - Unique identifier of an anonymous shopper. Typically, the cookieId is the value of a first-party cookie. (See [User Identifier Parameters](https://developer.salesforce.com/docs/commerce/einstein-api/guide/einstein-recommendations-overview.html#user-identifier-parameters) for more information).
        
    *   `idValue` (_string_, required) The ID value for the given idType.

#### Responses

*   **202** A successful response contains delete Id and delete status link.
    
    Media type: `application/json`. Schema: `GDPRDeleteResponse`.
    
*   **400** A validation error response contains a description of the problem.
*   **403** Either the provided client ID or authorization token was invalid.

### POST getGDPRDeleteStatus

`POST /privacy/{siteId}/delete/{deleteId}/status`

Display name: GDPR Delete Status. Security: AMAuth.

Gets the status of the delete request.

#### Parameters

*   `deleteId` (path, string, required)
*   `siteId` (path, EinsteinSiteIdParam, required)
*   `x-cq-client-id` (header, ClientIdParam, required)

#### Responses

*   **200** A successful response shows the status - PENDING or COMPLETE.
    
    Media type: `application/json`. Schema: `GDPRDeleteStatusResponse`.
    
*   **400** An invalid request ID.
*   **403** Either the provided client ID or authorization token was invalid.

## Schemas

### EinsteinSiteIdParam

The Einstein Site ID. Locate this ID in the upper-right corner of the [Einstein Configurator](https://configurator.cquotient.com). The ID has the format `xxxx-<Commerce Cloud Site ID>`.

Type: `string`.

### ClientIdParam

Make sure to pass the `x-cq-client-id` header with your Commerce Cloud Account Manager API Client ID. Locate this value in Business Manager, under Administration > Site Development > Open Commerce API Settings. This settings page displays a JSON object containing the current OCAPI configuration. You can use any of the values in a `client_id` field, but ideally you should create one specifically for Einstein API calls.

Type: `string`.

### GDPRDeleteResponse

*   `deleteId` (_string_, required) The ID of the queued delete request.
*   `deleteStatusLink` (_string_, required) The link to use to check the status of the delete request.

### GDPRDeleteStatusResponse

*   `status` (_string_, required) The status of the delete request.